Rygel.MediaEngine.get_dlna_profiles – librygel-server Reference Manual

# get_dlna_profiles

## Description:

public abstract unowned List<DLNAProfile> get_dlna_profiles ()

Get a list of the DLNA profiles that the media engine can stream.

This information is needed to implement DLNA's ConnectionManager.GetProtocolInfo call and to determine whether Rygel can accept an uploaded file.

## Returns:

A list of #RygelDLNAProfile<!-- -->s